> This page is for version v8.3.0 (default).
> For other versions, use one of these documentation indexes:
> - v8.3.0 (default): https://docs.workflows.com/v-8-3-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.workflows.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.workflows.com/_mcp/server.

# Get mind by ID

GET https://api.reasoner.com/api/mindsim/minds/{mindId}

Returns a single mind by its unique ID

Reference: https://docs.workflows.com/direct-api/api-reference/get-mind-by-id

## Authentication

- `Authorization` header (bearer token, required) — API key passed as Bearer token in Authorization header (e.g., "Authorization: Bearer YOUR_API_KEY")

## Request

### Path parameters

- `mindId` (string, required) — The unique ID of the mind

## Response

### 200

Successful response

- `mind` (Mind, required)

## Errors

### 400 Bad Request Error

Bad request - Mind ID is required

- `error` (string, required)

### 404 Not Found Error

Mind not found

- `error` (string, required)

## Types

### Mind

- `id` (string, required)
- `name` (string, required)
- `slug` (string, required, nullable)
- `email` (string, required, nullable)
- `imageUrl` (string, required, nullable)
- `socialMedia` (map from string to any, required, nullable)
- `scope` (string, required)
- `isSelf` (boolean, required)
- `organizationId` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)
- `tags` (list of Tag, required) — Array of tags associated with this mind
- `snapshotCount` (double, required) — Number of snapshots for this mind
- `psychometricCount` (double, required) — Number of psychometrics for this mind
- `keyTopicCount` (double, required) — Number of topic analyses for this mind
- `findingCount` (double, required) — Number of findings for this mind

### Tag

- `id` (string, required)
- `name` (string, required)
- `organizationId` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)

## Examples

**Response**

```json
{
  "mind": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "slug": "john-doe",
    "email": "john@example.com",
    "imageUrl": "https://example.com/avatar.jpg",
    "socialMedia": {},
    "scope": "private",
    "isSelf": false,
    "organizationId": "123e4567-e89b-12d3-a456-426614174001",
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-01T00:00:00.000Z",
    "tags": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174005",
        "name": "internal team",
        "organizationId": "123e4567-e89b-12d3-a456-426614174001",
        "createdAt": "2025-01-01T00:00:00.000Z",
        "updatedAt": "2025-01-01T00:00:00.000Z"
      }
    ],
    "snapshotCount": 1,
    "psychometricCount": 10,
    "keyTopicCount": 5,
    "findingCount": 8
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.reasoner.com/api/mindsim/minds/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```